Subject: Re: [PATCH] tr2: log parent process name

From: Emily Shaffer <[email-masked]>
Date: Mon, 17 May 2021 13:17:37 -0700

On Sun, May 16, 2021 at 12:48:37PM +0900, Junio C Hamano wrote:
> 
> Emily Shaffer <[email-masked]> writes:
> 
> > On Mon, May 10, 2021 at 02:29:15PM +0200, Ævar Arnfjörð Bjarmason wrote:
> >
> >> We already have the nest-level as part of the SID, so isn't it
> >> sufficient (and portable) at the top-level to log what isatty says + set
> >> the initial SID "root" in the IDE (which presumably knows about git).
> >
> > If you already know all the IDEs and scripts which invoke Git, sure, you
> > could set the SID root - we do this with 'repo' tool today. But actually
> > we want this because we aren't sure exactly who at Google is invoking
> > Git in their tooling, how, why, etc. - this logline was supposed to help
> > with that. Chicken, egg, etc.
> 
> I agreed with Æver's suggestion exectly because I failed to read the
> above motivation from the patch.  If you are trying to find out who
> called, then you'd need to do the "find the parent process" dance
> when your parent did not give you their SID to append your ident to.
> 
> Perhaps it was obvious to the author of the patch, but it was
> unclear from the point of view of readers.  Perhaps the first
> paragraph of the proposed message wants a bit of rephrasing.  "we
> aren't sure exactly ... how, why, etc." part of the above really
> helped.
> 
> Thanks.

Thanks for the feedback. I was vacationing last week but should be
sending a rework today or tomorrow, will see if I can shore up the
commit-msg as well as the portability stuff Jeff H raised.

 - Emily